Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class OVMGroup

`java.lang.Object
oracle.ovs.api.datamodel.OVMGroup`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OVMGroupConfig

      public class OVMGroup

extends java.lang.Object
implements java.io.Serializable

group object

See Also:
  Serialized Form

Constructor Summary
`OVMGroup()`

Method Summary
`java.lang.String` | `getDescription()` get description
`java.lang.Long` | `getGroupId()` get groupId
`java.lang.String` | `getGroupName()` get groupname
`java.lang.Long` | `getSiteId()` serverPoolId
`java.lang.String` | `getStatus()` get status
`void` | `setDescription(java.lang.String description)` set description
`void` | `setGroupId(java.lang.Long groupId)` set groupId
`void` | `setGroupName(java.lang.String groupName)` set groupname
`void` | `setSiteId(java.lang.Long siteId)` serverPoolId
`void` | `setStatus(java.lang.String status)` set status

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OVMGroup

    public OVMGroup()

Method Detail

### setGroupId

    public void setGroupId(java.lang.Long groupId)

  set groupId
  Parameters:
    `groupId` -

### getGroupId

    public java.lang.Long getGroupId()

  get groupId
  Returns:

### setGroupName

    public void setGroupName(java.lang.String groupName)

  set groupname
  Parameters:
    `groupName` -

### getGroupName

    public java.lang.String getGroupName()

  get groupname
  Returns:

### setDescription

    public void setDescription(java.lang.String description)

  set description
  Parameters:
    `description` -

### getDescription

    public java.lang.String getDescription()

  get description
  Returns:

### setStatus

    public void setStatus(java.lang.String status)

  set status
  Parameters:
    `status` -

### getStatus

    public java.lang.String getStatus()

  get status
  Returns:

### setSiteId

    public void setSiteId(java.lang.Long siteId)

  serverPoolId
  Parameters:
    `siteId` -

### getSiteId

    public java.lang.Long getSiteId()

  serverPoolId
  Returns:
    siteId

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.